Easy fix?: No Copied to github as #: 13068
Description

Our plugins menu is cluttered already and some of the plugins would be better suited to being implemented as core functionality (e.g.
scalebar, north arrow etc. For a long time | have wanted to implement the idea of mapwidgets - small widgets that can be dragged and
arbitrarily placed on the map. Marco's mapannotation tools actually take us towards that idea nicely so | thought | would start
reimplementing some decorations as subclasses of [[QgsMapAnnotation]] to get a feel of how suitable the api would be for generic
widget api.

I'm attaching my first proof of concept for this (warning its still rough around the edges) which implements the scalebar as a widget. My
idea to build out the widgets list at the upcoming hackfest in Wroclaw, Poland.

Also we should give some thought to making the implementation more generic (e.g. a special type of plugin?) so that it is not needed to do
so many changes to app and gui for each new widget type.

| welcome comments and suggestions and will update the patch (with aim including in 1.6 if | can get it all polished nicely).

Tim

History

#1 - 2011-12-16 01:55 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-02-02 02:10 PM - Jiirgen Fischer
- Pull Request or Patch supplied set to No
- Status changed from Open to Feedback

Meanwhile the plugins were integrated to app - my guess is that this is done.

#3 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:34 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2014-06-21 03:00 PM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

scalebarwidget_v1.diff 69.6 KB 2010-09-15 Tim Sutton
